<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Introduction and Simple Styles</title>
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
</head>
<body class="bg-secondary">
	<!-- navbar -->
	<div class="bg-primary text-light p-1 fixed-top">
		Fixed Top-Navbar 
		
	</div>

	<!-- header -->
	<div class="text-center mt-5">
		<h1> Bootstrap Introduction and Simple Styles </h1>

		<div class="w-25 d-none d-lg-inline-block mt-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="img-fluid bg-white rounded-circle">
		</div>
	</div>

	<!-- bootstrap utility classes -->
	<div class="mt-5 mb-5 text-center container-fluid">
		<h2>
			Bootstrap Color Classes
		</h2>

		<table class="table table-dark table-bordered table-hover">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>

			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">Primary Link</a>
					</td>
					<td class="bg-primary text-white">
						Primary 
					</td>
				</tr>

				<tr>
					<td>
						<a href="#" class="text-secondary">Secondary Link</a>
					</td>
					<td class="bg-secondary text-white">
						Secondary 
					</td>
				</tr>
				<tr>
                        <td>
                            <a href="#" class="text-success">
                                Success link
                            </a>
                        </td>
                        <td class="bg-success text-white">
                            Success
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-danger">
                                Danger link
                            </a>
                        </td>
                        <td class="bg-danger text-white">
                            Danger
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-warning">
                                Warning link
                            </a>
                        </td>
                        <td class="bg-warning text-white">
                            Warning
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-info">
                                Info link
                            </a>
                        </td>
                        <td class="bg-info text-white">
                            Info
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-light">
                                Light link
                            </a>
                        </td>
                        <td class="bg-light text-dark">
                            Light
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-dark">
                                Dark link
                            </a>
                        </td>
                        <td class="bg-dark text-white">
                            Dark
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-muted">
                                Muted link
                            </a>
                        </td>
                        <td class="bg-transparent text-white">
                            Transparent
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-white">
                                White link
                            </a>
                        </td>
                        <td class="bg-white text-dark">
                            White
                        </td>
                    <tr>
                    	<td>
                    		<a href="#" style="color:blue">Custom Color</a>
                    	</td>
                    	<td style="background-color: blue;">
                    		Custom Color 
                    	</td>
                    </tr>    
			</tbody>
		</table>

</div>
	<div class="container-fluid">
	<h2>Bootstrap Text Classes</h2>

	<table class="table table-light table-bordered table-hover">
		<thead>
			<tr>
				<th>Alignment</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-left">Left</td>
			</tr>
			<tr>
				<td class="text-center">Center</td>
			</tr>
			<tr>
				<td class="text-end">Right</td>
			</tr>

			<tr>
				<td class="text-sm-center"> Small Center</td>
			</tr>

			<tr>
				<td class="text-end text-md-start">Others Right/Medium Left</td>
			</tr>
			<tr>
				<td class="text-lg-end">Large Right</td>
			</tr>
			<tr>
				<td class="text-xl-center">Extra Large Center</td>
			</tr>
		</tbody>
	</table>
	</div>

	<div class="container-fluid">
		<h2>Text Transformation</h2>

		<table class="table table-dark table-bordered table-hover">
			<thead>
				<tr>
					<th>Text Transform</th>
				</tr>
			</thead>

			<tbody>
				<tr>
					<td class="text-lowercase fw-bold">LOWERCASE BOLD TEXT</td>
				</tr>
				<tr>
					<td class="text-uppercase fw-normal">uppercase normal text</td>
				</tr>
				<tr>
					<td class="text-capitalize fw-light">capitlaized light text</td>
				</tr>
				<tr>
					<td><a href="#" class="text-decoration-none fst-italic">Non-underlined Italic Link</a></td>
				</tr>
			</tbody>
		</table>
	</div>
	
	<div class="container w-50 mb-5">
		<h2>Bootstrap Border and Sizing Classes</h2>
		<table class="table table-light table-bordered table-hover">
			<thead>
				<tr>
					<th>Border</th>
				</tr>
				
			</thead>

			<tbody>
				<tr>
					<td>
						<div class="bg-info border border-primary rounded w-25">Rounded</div>
					</td>
				</tr>

				<tr>
					<td>
						<div class="bg-secondary border border-white rounded-circle w-50">Rounded Circle</div>
					</td>
				</tr>

				<tr>
					<td>
						<div class="bg-warning border border-danger rounded-pill w-25" >Rounded Pill</div>
					</td>
				</tr>
			</tbody>
		</table>
		
	</div>

<!-- Footer -->
	<div class="fixed-bottom bg-primary text-light p-1">
		Fixed Bottom - Footer
	</div>

	<!-- script should be at the bottom part of the body -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
</body>
</html>